.pwa-fixed {
    overflow: hidden;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: var(--background);
    background-size: cover;
    background-position: center center;
    opacity: 0; /* Начальная прозрачность */
    animation: fadeIn 1s forwards; /* Анимация появления */
}

.pwa-blur {
    position: relative;
    width: 100%;
    height: 100%;
    -webkit-backdrop-filter: blur(3px);
    backdrop-filter: blur(3px);
    opacity: 0; /* Начальная прозрачность */
    animation: fadeIn 0.5s 0.5s forwards; /* Анимация появления с задержкой 0.5 секунды */
}

.pwa-skin {
    position: absolute;
    bottom: 0;
    left: 50%;
    width: 120%;
    max-width: 800px;
    transform: translate(-50%, 100%); /* Начальное положение: скрыт снизу */
    opacity: 0; /* Начальная прозрачность */
    animation: slideUp 0.5s 0.5s forwards; /* Анимация появления с задержкой 0.5 секунды */
}

.pwa-logo-row {
    position: absolute;
    bottom: 20%;
    left: 50%;
    width: 40%;
    max-width: 250px;
    transform: translate(-50%, 0);
    z-index: 2;
    opacity: 0; /* Начальная прозрачность */
    animation: fadeIn 1s 1s forwards; /* Анимация появления с задержкой 1 секунда */
}

.pwa-logo-row img {
    width: 100%;
}

.pwa-logo-loading {
    background: rgba(255,255,255,.1);
    font-weight: bold;
    padding: 5px;
    border-radius: 5px;
    margin-top: 10px;
}

.pwa-logo-loading-bar {
    background: #fff;
    border-radius: 2px;
    height: 15px;
    width: 1%; /* Начальная ширина */
    animation: loadingBar 2s 2s forwards; /* Анимация увеличения ширины с задержкой 2 секунды */
}

.pwa-logo-version {
    margin-top: 10px;
    text-align: center;
    font-family: 'Bender', sans-serif;
    font-weight: 900;
    color: #fff;
}

.pwa-logo-loadsize {
    margin-top: 20px;
    text-align: center;
    color: #fff;
}

.pwa-info-row {
    opacity: 0;
    box-sizing: border-box;
    text-shadow: 1px 1px 3px black;
    -webkit-backdrop-filter: blur(3px);
    backdrop-filter: blur(3px);
    position: absolute;
    left: 10%;
    right: auto;
    bottom: 20%;
    width: 350px;
    max-width: calc(100% - 40px);
    z-index: 100;
    padding: 20px;
    background: rgba(255,255,255,.1);
    border: 1px solid rgba(255,255,255,.2);
    border-radius: 10px;
    animation: fadeIn 2s 0.3s forwards;
}

.pwa-info-text {width: 100%; color: #fff; font-weight: bold; width: 100%; box-sizing: border-box;}

@media screen and (max-width: 800px) {
    .pwa-logo-row {
        top: 10%;
    }
    .pwa-info-row {
        left: 20px;
        right: 20px;
        bottom: 40px;
        width: 100%;
    }
}

/* Анимация появления */
@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

/* Анимация выезжания снизу */
@keyframes slideUp {
    from {
        opacity: 0;
        transform: translate(-50%, 100%); /* Начальное положение: снизу */
    }
    to {
        opacity: 1;
        transform: translate(-50%, 0); /* Конечное положение: на месте */
    }
}

/* Анимация прогресс-бара */
@keyframes loadingBar {
    from {
        width: 1%;
    }
    to {
        width: 100%;
    }
}